import { EventEmitter, OnInit } from '@angular/core';
import { AddPhoto, MemberCommunity } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class JournalPreviewComponent implements OnInit {
    editPost: EventEmitter<any>;
    publishPost: EventEmitter<any>;
    postBody: string;
    authorName: string;
    authorAvatar: string;
    postDate: Date;
    envUrl: string;
    postTitle: string;
    selectedCommunities: MemberCommunity[];
    joinedDate: Date;
    disablePublish: boolean;
    photos: AddPhoto[];
    toggleMoreCommunityList: boolean;
    isSensitiveOnLoad: boolean;
    constructor();
    ngOnInit(): void;
    onEditPost(): void;
    onPublishPost(): void;
    onToggleMoreCommunityList(): void;
    onCloseMoreCommunityList(): void;
    onClickToggleSensitive(): void;
    static ɵfac: i0.ɵɵFactoryDef<JournalPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<JournalPreviewComponent, "ins-journal-preview", never, { "postBody": "postBody"; "authorName": "authorName"; "authorAvatar": "authorAvatar"; "postDate": "postDate"; "envUrl": "envUrl"; "postTitle": "postTitle"; "selectedCommunities": "selectedCommunities"; "joinedDate": "joinedDate"; "disablePublish": "disablePublish"; "photos": "photos"; }, { "editPost": "editPost"; "publishPost": "publishPost"; }, never, never>;
}
